%global fontname shobhika
%global fontconf 68-%{fontname}.conf
%global common_desc \
Shobhika is a free, open source, Unicode compliant, OpenType font with support for Devanāgarī, Latin, and Cyrillic scripts.\
It is available in two weights—regular and bold. The font is designed with over 1600 Devanāgarī glyphs, \
including support for over 1100 conjunct consonants, as well as vedic accents.

Name:			%{fontname}-fonts
Version:		1.04
Release:		1%{?dist}
Summary:		Free Indian truetype/open type fonts
License:		OFL
URL:			https://github.com/Sandhi-IITBombay/Shobhika
Source0:		%{url}/releases/download/v%{version}/Shobhika-%{version}.zip
Source1:		%{name}-fontconfig.conf
BuildArch:		noarch
BuildRequires:	fontpackages-devel

%description
This package provides a free Devanagari TrueType/OpenType font.

%prep
%setup -q -n Shobhika-%{version}
chmod 644 *.txt

%build

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.otf
 
%doc AUTHORS.txt README.md CONTRIBUTORS.txt
%license OFL.txt Copyright.txt


%changelog
* Mon May 28 2018 Vishal Vijayraghavan <vishalvijayraghavan@gmail.com> - 1.04-1
- first release of shobhika fonts
